tt_thread_session(library call)

NAME
tt_thread_session — retrieve the default session identifier for the currently active thread

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_thread_session(
);

DESCRIPTION

The tt_thread_session function retrieves the default session identifier for the currently active thread. If there is no default session set for the currently-active thread, then the process default session identifier is returned.

A session can have more than one session identifier. This means, for example, that the application cannot compare the result of tt_thread_session with the result of tt_message_session to verify that the message was sent in the default session.

The returned pointer points to the character string name of the session. When no longer needed, it must be freed with tt_free.

ARGUMENTS

None.

RETURN VALUE

Upon successful completion, the tt_thread_session function returns the pointer to a character string that uniquely identifies the default session for the currently active thread.

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession process is not running and the ToolTalk service cannot start it.

TT_ERR_PROCID
    The current default process identifier is out of date or invalid.

TT_ERR_UNIMP
    The ToolTalk implementation does not support multithreading.

TT_ERR_TOOLATE
    The multithreading feature has not been enabled.

APPLICATION USAGE

None.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_free(3), tt_ptr_error(3)